package com.example.duplicate.controller.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName AddEmr
 * @Description 新增到2.0数码影像
 * @Author linjj
 * @Date 2025/6/22 14:51
 * @Version 1.0
 */
@Data
public class AddEmr {
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ApiModelProperty(value = "住院号")
    private String inpatientNo;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "性别")
    private String sex;
    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ApiModelProperty(value = "主治医师")
    private  String attending;
}
