package com.example.duplicate.controller.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName PageRequest
 * @Description 分页请求参数
 * @Author linjj
 * @Date 2025/6/20 21:43
 * @Version 1.0
 */
@Data
public class PageRequest {

    @ApiModelProperty(value = "页码")
    private int page; // 页码（通常从1开始）
    @ApiModelProperty(value = "每页大小")
    private int size; // 每页大小
    @ApiModelProperty(value = "病人ID")
    private String patientId; // 病人ID
    @ApiModelProperty(value = "病人姓名")
    private String name; // 病人姓名
    @ApiModelProperty(value = "出院天数")
    private String outNum;//出院天数
    @ApiModelProperty(value = "开始时间")
    private String startTime;//开始时间

    @ApiModelProperty(value = "结束时间")
    private String endTime;//结束时间

}
