package com.example.duplicate.controller.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName RcvPageRequest
 * @Description 回收页面导出
 * @Author linjj
 * @Date 2025/6/26 14:32
 * @Version 1.0
 */
@Data
public class RcvPageRequest {
    @ApiModelProperty(value = "病人ID")
    private String patientId; // 病人ID
    @ApiModelProperty(value = "病人姓名")
    private String name; // 病人姓名
    @ApiModelProperty(value = "出院天数")
    private String outNum;//出院天数
    @ApiModelProperty(value = "开始时间")
    private String startTime;//开始时间

    @ApiModelProperty(value = "结束时间")
    private String endTime;//结束时间
}
