package com.example.duplicate.infrastructure.dao;

import com.example.duplicate.controller.param.CallRequest;
import com.example.duplicate.controller.param.PageRequest;
import com.example.duplicate.controller.param.RcvPageRequest;
import com.example.duplicate.controller.param.SginBasicDto;
import com.example.duplicate.controller.vo.DeptCodeAndName;
import com.example.duplicate.controller.vo.ExportBasic;
import com.example.duplicate.controller.vo.PageBasic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName BasicMapper
 * @Description
 * @Author linjj
 * @Date 2025/6/20 13:23
 * @Version 1.0
 */
@Mapper
public interface BasicMapper {

    List<PageBasic> getPageAll(PageRequest pageRequest);

    Boolean addBasic(SginBasicDto sginBasicDto);

    List<String> getIDByPatientId(String patientId);

    Boolean UpdateState(@Param("patientId") String patientId, @Param("revoveryState") String revoveryState,@Param("userName") String userName);

    List<ExportBasic>pageExport(RcvPageRequest rcvPageRequest);

    List<String> getBasciByState(CallRequest callRequest);

    List<DeptCodeAndName>getDeptCodeAndName();

}
