package com.example.duplicate.service;

import com.example.duplicate.controller.param.PageRequest;
import com.example.duplicate.controller.param.RcvPageRequest;
import com.example.duplicate.controller.vo.ExportBasic;
import com.example.duplicate.controller.vo.PageBasic;
import com.example.utils.CommonResult;
import com.example.utils.PageResult;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @InterfaceName RcvBasicService
 * @Description
 * @Author linjj
 * @Date 2025/6/20 12:24
 * @Version 1.0
 */
public interface RcvBasicService {

    CommonResult<?> Sign(String patientId);

    CommonResult<PageResult<PageBasic>> pageAll(PageRequest pageRequest);

    CommonResult<?> UpdateSign(String patientId,String revoveryState);

    List<ExportBasic>pageExport(RcvPageRequest rcvPageRequest);
}
