package com.example.duplicate.controller.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName CallPageRequest
 * @Description 催缴页面分页参数
 * @Author linjj
 * @Date 2025/6/26 18:58
 * @Version 1.0
 */
@Data
public class CallRequest {

    @ApiModelProperty("出院天数")
    private String outNum;//出院天数
    @ApiModelProperty("开始时间")
    private String startTime;//开始时间
    @ApiModelProperty("结束时间")
    private String endTime;//结束时间
    @ApiModelProperty("出院科室")
    private String disDeptName;//出院科室

    @ApiModelProperty("患者姓名")
    private String name;//患者姓名
}
