package com.example.duplicate.controller.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName SginBasic
 * @Description 签收实体类
 * @Author linjj
 * @Date 2025/6/20 19:24
 * @Version 1.0
 */
@Data
public class SginBasicDto {


    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ApiModelProperty(value = "入院日期")
    private Date admissDate;
    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;


    @ApiModelProperty(value = "住院医师")
    private String attendingName;


    @ApiModelProperty(value = "床位号")
    private String bedNumber;

    @ApiModelProperty(value = "回收时间")
    private Date revoveryTime;

    @ApiModelProperty(value = "回收状态")
    private String revoveryState;

    @ApiModelProperty(value = "出院科室")
    private String disDeptName;
    @ApiModelProperty(value = "操作人")
    private String revoveryName;


}
