package com.example.duplicate.controller.vo;



import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;

/**
 * 患者信息表
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Data
public class RcvBasic  {

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;
    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;


    @ApiModelProperty(value = "住院医师")
    private String attendingName;


    @ApiModelProperty(value = "床位号")
    private String bedNumber;

    @ApiModelProperty(value = "已签收天数")
    private String outNum;
    @ApiModelProperty(value = "回收时间")
    private Date revoveryTime;

    @ApiModelProperty(value = "回收状态")
    private String revoveryState;







}
