package com.example.duplicate.service;

import com.example.duplicate.controller.param.CallRequest;
import com.example.duplicate.controller.param.RcvPageRequest;
import com.example.duplicate.controller.vo.CallBasic;
import com.example.duplicate.controller.vo.CallExpoetBasic;
import com.example.duplicate.controller.vo.DeptCodeAndName;
import com.example.duplicate.controller.vo.PageBasic;
import com.example.utils.CommonResult;

import java.util.List;
import java.util.Map;

/**
 * @InterfaceName RcvCallService
 * @Description 催缴接口
 * @Author linjj
 * @Date 2025/6/26 16:25
 * @Version 1.0
 */
public interface RcvCallService{

    List<DeptCodeAndName> deptName();

    CommonResult<List<Map<String, Object>>>  callAll(CallRequest callRequest);

    List<CallExpoetBasic> exportCall(CallRequest callRequest);

}
